why isn't firefox 4.0 compatible with force field?????